# clusterview2

The sequel to clusterview. Built around the point and cluster structure of the kmeans project,
aims to improve upon the design and structural weakness of clusterview and add many interesting interactive ways
to explore k-means.

![](example.PNG)

## Usage

First install the necessary packages:

`pip install -r requirements.txt`

Then launch clusterview2 using:

`python clusterview2.py`

from the root directory.

## Development

Make sure to install the development requirements using `pip install -r requirements-dev.txt`. This will install
all main requirements as well as useful testing and linting tools.

### Regenerating the UI

After modifying the `*.ui` file in Qt Designer run

`pyuic5 clusterview2.ui -o clusterview2_ui.py`

to regenerate the UI python file.
